Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Microscopic_Traffic_Simulator.Renderers.ZoomValuesGenerator Class Reference

## Public Member Functions
double | GetYValue (double x)
| Gets Y Value for X value for Ferguson cubics. More...
void | Draw (DrawingContext dc)
| Draw points to visualize Ferguson cubic used for determining zoom rates from some interval. More...

## Protected Member Functions
double | F1 (double t)
| Method as part of computing value in X axis for Ferguson cubic. More...
double | F2 (double t)
| Method as part of computing value in X axis for Ferguson cubic. More...
double | F3 (double t)
| Method as part of computing value in X axis for Ferguson cubic. More...
double | F4 (double t)
| Method as part of computing value in X axis for Ferguson cubic. More...

## Detailed Description

Definition at line 8 of file ZoomValuesGenerator.cs.

## Member Function Documentation

void Microscopic_Traffic_Simulator.Renderers.ZoomValuesGenerator.Draw | ( | DrawingContext | dc | ) |

Draw points to visualize Ferguson cubic used for determining zoom rates from some interval.

Parameters

  dc | Drawing context used to visualize the Ferguson cubic.

Definition at line 124 of file ZoomValuesGenerator.cs.

double Microscopic_Traffic_Simulator.Renderers.ZoomValuesGenerator.F1 | ( | double | t | ) |
| protected

Method as part of computing value in X axis for Ferguson cubic.

Parameters

  t | t parameter.

Returns
  Partial result for computing value in X axis.

Definition at line 85 of file ZoomValuesGenerator.cs.

double Microscopic_Traffic_Simulator.Renderers.ZoomValuesGenerator.F2 | ( | double | t | ) |
| protected

Method as part of computing value in X axis for Ferguson cubic.

Parameters

  t | t parameter.

Returns
  Partial result for computing value in X axis.

Definition at line 95 of file ZoomValuesGenerator.cs.

double Microscopic_Traffic_Simulator.Renderers.ZoomValuesGenerator.F3 | ( | double | t | ) |
| protected

Method as part of computing value in X axis for Ferguson cubic.

Parameters

  t | t parameter.

Returns
  Partial result for computing value in X axis.

Definition at line 105 of file ZoomValuesGenerator.cs.

double Microscopic_Traffic_Simulator.Renderers.ZoomValuesGenerator.F4 | ( | double | t | ) |
| protected

Method as part of computing value in X axis for Ferguson cubic.

Parameters

  t | t parameter.

Returns
  Partial result for computing value in X axis.

Definition at line 115 of file ZoomValuesGenerator.cs.

double Microscopic_Traffic_Simulator.Renderers.ZoomValuesGenerator.GetYValue | ( | double | x | ) |

Gets Y Value for X value for Ferguson cubics.

Parameters

  x | Value in X axis.

Returns
  Value in Y axis.

Definition at line 15 of file ZoomValuesGenerator.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator/Renderers/ZoomValuesGenerator.cs